%global momorel 9
Summary: perl-Unicode-Map
Name: perl-Unicode-Map
Version: 0.112
Release: %{momorel}m
License: GPL or Artistic
Group: Development/Languages
Source0: http://www.cpan.org/modules/by-module/Unicode/Unicode-Map-%{version}.tar.gz
NoSource: 0
URL: http://www.cpan.org/modules/by-module/Unicode/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: perl >= 5.8.2

%description
The Unicode::Map module

%prep
rm -rf %{buildroot}

%setup -q -n Unicode-Map-%{version} 

%build
CFLAGS="%optflags" perl Makefile.PL
make
make test

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
rm %{buildroot}%{perl_sitearch}/auto/Unicode/Map/.packlist

%clean
rm -rf %{buildroot}

%changelog
* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.112-9m)
- remove Epoch from BuildPrereq

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.112-8m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.112-7m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (0.112-6m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Sat Nov 23 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.112-5m)
- rebuild against perl-5.8.0

* Sat Aug  3 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.112-4m)
- fix %files

* Sat Aug  3 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.112-3m)
- fix man install path

* Tue Jul 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.112-2m)
- remove BuildPreReq: gcc2.95.3

* Mon Jul 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.112-1m)

* Fri Mar  1 2002 Shingo Akagaki <dora@kondara.org>
- (0.110-4k)
- remove .packlist

* Thu Feb 28 2002 Shingo Akagaki <dora@kondara.org>
- (0.110-2k)
- create

%files
%defattr(-,root,root)
%doc COPYING Changes README 
%{_bindir}/*
%{_mandir}/man?/*
%{perl_sitearch}/auto/Unicode
%{perl_sitearch}/Unicode
